writing.mode
Prev | Localization | Next

## writing.mode

writing.mode — Direction of text flow based on locale

## Synopsis

    <xsl:param name="writing.mode">
      <xsl:call-template name="gentext">
        <xsl:with-param name="key">writing-mode</xsl:with-param>
        <xsl:with-param name="lang">
          <xsl:call-template name="l10n.language">
            <xsl:with-param name="target" select="/*[1]"></xsl:with-param>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:param>

## Description

Sets direction of text flow and text alignment based on locale. The value is normally taken from the gentext file for the lang attribute of the document's root element, using the key name 'writing-mode' to look it up in the gentext file. But the param can also be set on the command line to override that gentext value.

Accepted values are:

lr-tb

  Left-to-right text flow in each line, lines stack top to bottom.

rl-tb

  Right-to-left text flow in each line, lines stack top to bottom.

tb-rl

  Top-to-bottom text flow in each vertical line, lines stack right to left. Supported by only a few XSL-FO processors. Not supported in HTML output.

lr

  Shorthand for lr-tb.

rl

  Shorthand for rl-tb.

tb

  Shorthand for tb-rl.

Prev | Up | Next
l10n.lang.value.rfc.compliant | Home | Part 2. FO Parameter Reference